/******************************************************************************
*
*
* Notepad2
*
* Appreg.h
*   Definitions for registry helper functions
*
* See Readme.txt for more information about this source code.
* Please send me your comments to this work.
*
* Distributed under the terms of the GNU General Public License,
* see License.txt for details.
*
*                                              (c) Florian Balmer 1996-2004
*                                                       textview@bluewin.ch
*                                               http://www.flos-freeware.ch
*
*
******************************************************************************/


HKEY RegGetAppKey(LPCSTR);
HKEY RegGetSubKey(HKEY,LPCSTR);
HKEY RegGetKey(LPCSTR);

void RegDeleteKeyEx(HKEY,LPCSTR,BOOL*);

int  RegGetInt(HKEY,LPCSTR,int);
BOOL RegGetString(HKEY,LPCSTR,LPCSTR,LPSTR,int);

void RegSetInt(HKEY,LPCSTR,int);
void RegSetString(HKEY,LPCSTR,LPCSTR);

int  RegGetAppIntEx(LPCSTR,LPCSTR,int);
void RegSetAppIntEx(LPCSTR,LPCSTR,int);

void UnregisterApp(HINSTANCE);


// End of Appreg.h
